//
//  TestViewController.m
//  VCTransTest
//
//  Created by Bartlomiej Cichosz on 7/18/12.
//  Copyright (c) 2012 Bartlomiej Cichosz. All rights reserved.
//

#import "TestViewController.h"

@interface TestViewController ()

@property (nonatomic, weak) UIButton *transitionButton;

@end

@implementation TestViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    
    [self.view setBackgroundColor:[UIColor grayColor]];
    
    self.transitionButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.transitionButton.frame = CGRectMake(50, 50, 220, 50);
    [self.transitionButton setTitle:@"Transition" forState:UIControlStateNormal];
    [self.transitionButton addTarget:self action:@selector(buttonTapped:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.transitionButton];
    
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)buttonTapped:(UIEvent*)event {
    
    NSNotificationCenter *nc = [NSNotificationCenter defaultCenter];
    [nc postNotificationName:@"tap" object:self.navigationController];

}


@end
